Libical API Documentation 3.0

Data Fields
_icaltimezonechange Struct Reference

## Data Fields
int | day
int | hour
int | is_daylight
int | minute
int | month
int | prev_utc_offset
int | second
int | utc_offset
int | year

## Field Documentation

## ◆ is_daylight

int _icaltimezonechange::is_daylight

Whether this is STANDARD or DAYLIGHT time.

## ◆ month

int _icaltimezonechange::month

1 (Jan) to 12 (Dec).

## ◆ prev_utc_offset

int _icaltimezonechange::prev_utc_offset

The offset to add to UTC, before this change, in seconds.

## ◆ second

int _icaltimezonechange::second

The time that the change came into effect, in UTC. Note that the prev_utc_offset applies to this local time, since we haven't changed to the new offset yet.

## ◆ utc_offset

int _icaltimezonechange::utc_offset

The offset to add to UTC to get local time, in seconds.

## ◆ year

int _icaltimezonechange::year

Actual year, e.g. 2001.

The documentation for this struct was generated from the following file:

- icaltimezone.c